body {
    font-family: 'Orbitron', sans-serif;/*Voyager Typeface,  Stargaze Typeface, Centauri - Fonte futuriste, Haynthams Spacescript, Death Star Space Police*/
    margin: 0;
    padding: 0;
    background-color: #0f056b;
}

#background-video {
    height: 100vh;
    width: 100vw;
    object-fit: cover;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    position: fixed;
    z-index: 0;
}


#redhead {
    background: linear-gradient(45deg, #0f056b, rgb(133, 20, 20));
    display: flex;
    justify-content: space-between;
    height: 4.5rem;
    position: fixed;
    width: 100%;
    z-index: 2;
}

#redhead ul {
    list-style: none;
    display: flex;
}

#redhead ul li {
    margin: 0.4rem 2rem 1rem 0;
}

#redhead ul li a {
    color: white;
}


#logo_noir_blanc {
    margin: 0.5rem 0 0.5rem 1rem;
    width: 3rem;
    height: 3rem;
    border-radius: 15px;
    box-shadow: 0px 0px 10px 0 rgba(0, 0, 0, 0.5);
}

#logo_noir_blanc:hover {
    box-shadow: none;
}

.custom-cursor {
    cursor: url('cursor/gta5.cur'), auto;
    text-decoration: none;

}

footer {
    background: linear-gradient(315deg, #0f056b, rgb(133, 20, 20));
    display: flex;
    justify-content: center;
    position: absolute;
    bottom: 0;
    z-index: 4;
    height: 5rem;
}


footer a img {
    margin-top: 2rem;
    margin-left: 10rem;
    height: 4rem;
    width: 4rem;
}
#nav_id {
    padding: 0;
    width: 100%;
    position: fixed;
    z-index: 100;
}


#nav_id ul {
    right: 0;
    list-style: none;
    display: grid;
    justify-content: end;
    justify-items: end;
    margin-top: 5rem;
    position: fixed;
}

#nav_id ul li a {
    text-decoration: none;
    color: white;
    padding: 0.5rem;
    border-radius: 10px;

}

#nav_id ul li {
    margin-top: 0.4rem;
    margin-bottom: 1rem;
    margin-right: -20rem;
    transition: margin-right 0.5s ease-in-out;
}
/* CSS */

footer div h1 {
    color: white;
}

footer div p {
    color: white;
}

.button-85 {
  padding: 0.6em 2em;
  border: none;
  outline: none;
  color: rgb(255, 255, 255);
  background: #111a52;
  cursor: url('cursor/gta5.cur'), auto;
  position: relative;
  z-index: 0;
  border-radius: 10px;
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;
}

.button-85:before {
  content: "";
  background: linear-gradient(
    45deg,
    #ff0000,
    #ff7300,
    #fffb00,
    #48ff00,
    #00ffd5,
    #002bff,
    #7a00ff,
    #ff00c8,
    #ff0000
  );
  position: absolute;
  top: -2px;
  left: -2px;
  background-size: 400%;
  z-index: -1;
  filter: blur(5px);
  -webkit-filter: blur(5px);
  width: calc(100% + 4px);
  height: calc(100% + 4px);
  animation: glowing-button-85 20s linear infinite;
  transition: opacity 0.3s ease-in-out;
  border-radius: 10px;
}

@keyframes glowing-button-85 {
  0% {
    background-position: 0 0;
  }
  50% {
    background-position: 400% 0;
  }
  100% {
    background-position: 0 0;
  }
}

.button-85:after {
  z-index: -1;
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  background: #111a52;
  left: 0;
  top: 0;
  border-radius: 10px;
}

a {
    font-family: 'Orbitron', sans-serif;
}

button {
    font-family: 'Orbitron', sans-serif;
}

.btn {
    margin: -0.5rem 0 0 0;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 10rem;
  height: 3rem;
  background-size: 300% 300%;
  backdrop-filter: blur(1rem);
  border-radius: 5rem;
  transition: 0.5s;
  animation: gradient_301 5s ease infinite;
  border: double 4px transparent;
  background-image: linear-gradient(#212121, #212121),  linear-gradient(137.48deg, #ffdb3b 10%,#FE53BB 45%, #8F51EA 67%, #0044ff 87%);
  background-origin: border-box;
  background-clip: content-box, border-box;
}

#container-stars {
  position: fixed;
  z-index: -1;
  width: 100%;
  height: 100%;
  overflow: hidden;
  transition: 0.5s;
  backdrop-filter: blur(1rem);
  border-radius: 5rem;
}

strong {
  z-index: 2;
  font-family: 'Avalors Personal Use';
  font-size: 12px;
  letter-spacing: 5px;
  color: #FFFFFF;
  text-shadow: 0 0 4px white;
}

#glow {
  position: absolute;
  display: flex;
  width: 12rem;
}

.circle {
  width: 100%;
  height: 30px;
  filter: blur(2rem);
  animation: pulse_3011 4s infinite;
  z-index: -1;
}

.circle:nth-of-type(1) {
  background: rgba(254, 83, 186, 0.636);
}

.circle:nth-of-type(2) {
  background: rgba(142, 81, 234, 0.704);
}

.btn:hover #container-stars {
  z-index: 1;
  background-color: #212121;
}

.btn:hover {
  transform: scale(1.1)
}

.btn:active {
  border: double 4px #FE53BB;
  background-origin: border-box;
  background-clip: content-box, border-box;
  animation: none;
}

.btn:active .circle {
  background: #FE53BB;
}

#stars {
  position: relative;
  background: transparent;
  width: 200rem;
  height: 200rem;
}

#stars::after {
  content: "";
  position: absolute;
  top: -10rem;
  left: -100rem;
  width: 100%;
  height: 100%;
  animation: animStarRotate 90s linear infinite;
}

#stars::after {
  background-image: radial-gradient(#ffffff 1px, transparent 1%);
  background-size: 50px 50px;
}

#stars::before {
  content: "";
  position: absolute;
  top: 0;
  left: -50%;
  width: 170%;
  height: 500%;
  animation: animStar 60s linear infinite;
}

#stars::before {
  background-image: radial-gradient(#ffffff 1px, transparent 1%);
  background-size: 50px 50px;
  opacity: 0.5;
}

@keyframes animStar {
  from {
    transform: translateY(0);
  }

  to {
    transform: translateY(-135rem);
  }
}

@keyframes animStarRotate {
  from {
    transform: rotate(360deg);
  }

  to {
    transform: rotate(0);
  }
}

@keyframes gradient_301 {
  0% {
    background-position: 0% 50%;
  }

  50% {
    background-position: 100% 50%;
  }

  100% {
    background-position: 0% 50%;
  }
}

@keyframes pulse_3011 {
  0% {
    transform: scale(0.75);
    box-shadow: 0 0 0 0 rgba(0, 0, 0, 0.7);
  }

  70% {
    transform: scale(1);
    box-shadow: 0 0 0 10px rgba(0, 0, 0, 0);
  }

  100% {
    transform: scale(0.75);
    box-shadow: 0 0 0 0 rgba(0, 0, 0, 0);
  }
}